Skip to main content
`Ctrl`+`K`

# TSAdjointSetUp

Sets up the internal data structures for the later use of an adjoint solver

## Synopsis

    #include <petscts.h>
    PetscErrorCode TSAdjointSetUp(TS ts)

Collective

## Input Parameter

- ts - the `TS` context obtained from `TSCreate()`

## See Also

TS: Scalable ODE and DAE Solvers, `TSCreate()`, `TSAdjointStep()`, `TSSetCostGradients()`

## Level

advanced

## Location

src/ts/interface/sensitivity/tssen.c

## Implementations

TSAdjointSetUp_ARKIMEX() in src/ts/impls/arkimex/arkimex.c
TSAdjointSetUp_RK() in src/ts/impls/explicit/rk/rk.c
TSAdjointSetUp_Theta() in src/ts/impls/implicit/theta/theta.c

Index of all Sensitivity routines
Table of Contents for all manual pages
Index of all manual pages